package com.jpsoft.shinestar.modules.sys.dao;

import com.jpsoft.shinestar.modules.common.dto.Sort;
import com.jpsoft.shinestar.modules.sys.entity.SysLog;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface SysLogDAO {
	int insert(SysLog entity);
	int update(SysLog entity);
	int exist(Long id);
	SysLog get(Long id);
	int delete(Long id);
	List<SysLog> list();
	List<SysLog> search(Map<String, Object> searchParams, List<Sort> sortList);
}